#!/usr/bin/perl -T
#
# login.cgi
#
# 2002-11-8 manchek
#
# tunebot login/logout screen
#

########################################################################
# perl script boilerplate.
# set tunebot root and load utility module.
#
BEGIN {
    $tunebot_root="XXX-the-tunebot-install-root";
    @INC=($tunebot_root."/lib", @INC);
}
use Tunebot;
#
# end of perl boilerplate
########################################################################

$cgibinurl=$configs{"CGI_BIN_URL"};
$topurl=$configs{"HTML_TOP_URL"};

Tunebot::suckInPostGet;
Tunebot::suckInCookies;

$tunebot_user=$cookie{TUNEBOTUSER};

Tunebot::suckInTags();
Tunebot::suckInAutotags();

#
# check for posts to log in as username or log out.
# modify tunebot_user and generate the proper html cookie headers.
#
if ($posts{user} ne "") {
    ($u=$posts{user}) =~ tr/a-zA-Z0-9_//dc;
    $tunebot_user=$u;
    Tunebot::printPageHeader "Login", "Set-Cookie: TUNEBOTUSER=$u; path=/; expires=Fri, 01-Jan-2010 12:00:00 GMT\n";

} elsif ($posts{logout} ne "") {
    $tunebot_user="";
    Tunebot::printPageHeader "Login", "Set-Cookie: TUNEBOTUSER=NUL; path=/; expires=Thu, 01-Jan-1970 12:00:00 GMT\n";

} else {
    Tunebot::printPageHeader "Login";
}

#
# render page depending on whether we're logged in or not.
#
if ($tunebot_user ne "") {
    print "<center>\n";
    print "<b><em>You are logged in as</em> $tunebot_user.</b>\n";
    print "<p>\n";
    print "<form action=\"$cgibinurl/login.cgi\" method=get>\n";
    print "<b><em>Enter username to switch </em></b> ";
    print "<input type=text name=user>\n";
    print "</form>\n";
    print "<b><em>Or click here to <a href=\"$cgibinurl/login.cgi?logout=1\">Log out</a></em></b>\n";
    print "</center>\n";
} else {
    print "<center>\n";
    print "<form action=\"$cgibinurl/login.cgi\" method=get>\n";
    print "<b><em>Enter username </em></b> ";
    print "<input type=text name=user>\n";
    print "</form>\n";
    print "</center>\n";
}

#print "<p>\n";
#print "<pre>\n";
#$ENV{PATH}="/bin";
#system "/usr/bin/env";
#print "</pre>\n";

Tunebot::printPageTrailer;

exit 0;

